de.caff.io.json

## Enum Json.Env

- java.lang.Object
- - java.lang.Enum<Json.Env>
  - - de.caff.io.json.Json.Env

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Json.Env>
  Enclosing class:
    Json

      public static enum Json.Env
      extends java.lang.Enum<Json.Env>

  Environment.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Array` Inside an array.
    `Object` Inside an object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) SimpleJsonWriter.State` | `defaultState` Default state for this kind of environment.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) abstract void` | `close(SimpleJsonWriter writer)` Close this environment.
    `static Json.Env` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Json.Env[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Object

          public static final Json.Env Object

      Inside an object.

    - #### Array

          public static final Json.Env Array

      Inside an array.

  - ### Field Detail

    - #### defaultState

          @NotNull
          final SimpleJsonWriter.State defaultState

      Default state for this kind of environment.

  - ### Method Detail

    - #### values

          public static Json.Env[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Json.Env c : Json.Env.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Json.Env valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### close

          abstract void close(@NotNull
                              SimpleJsonWriter writer)

      Close this environment.
      Parameters:
        `writer` - writer to write to